DCMTK - Bug #800

Compression codecs should check whether DICOM dataset really contains Pixel Data (7fe0,0010)
2017-11-03 18:12 - J6rg Riesmeier

Status: Closed Start date: 2017-11-03
Priority: Normal Due date:

Assignee: Marco Eichelberg % Done: 100%
Category: Library and Apps Estimated time: 0:00 hour

Target version:

Module: dcmdata, decmijpeg, demijpls etc. Compiler:

Operating System:

Description

Currently, e.g. decmcjpeg silently processes Parametric Map objects with Float Pixel Data (see
http://forum.dcmtk.org/viewtopic.php?f=1&t=4654 and the referenced sections of the DICOM standard).

Also SR documents are processed, which makes no sense (if no pixel data is present in the document). At least a warning should be
reported in this case.

History

#1 - 2018-07-04 18:59 - Marco Eichelberg
- Status changed from New to Closed
- Assignee set to Marco Eichelberg

- % Done changed from 0 to 100

Closed by commit #08ece95.
